package example.account;

/**
 * Supervisor interface.
 */
public interface Supervisor {

    /**
     * Notification of transaction.
     * 
     * @param accountId
     *            id of account
     * @param owner
     *            owner of account
     * @param transaction
     *            transaction
     * @return true if agreed to the transaction, false if veto
     */
    public boolean notify(String accountId, String owner,
            Transaction transaction);

}
