package example.stack;

public class SimpleStack {

	boolean empty = true;
	int counter = 0;
	private ListElement stackTop = null;
	
	public boolean isEmpty() {
		return stackTop == null;
	}

    public void push(int item) {
    		ListElement listElement = new ListElement();
        listElement.value = item;
        listElement.nextElement = stackTop;
        stackTop = listElement;   
    }

	public int pop() {
		int returnValue = 0;
		if (isEmpty()) {
			throw new java.lang.IllegalStateException();
		} else {
			returnValue = stackTop.value;
			stackTop = stackTop.nextElement;
		}
		return returnValue;
	}

}
